<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>netcoreapp3.1</TargetFramework>
        <GenerateDocumentationFile>true</GenerateDocumentationFile>
        <NoWarn>$(NoWarn);1591</NoWarn>
        <UserSecretsId>683fe651-d010-48e3-92d1-ffb4849cc08a</UserSecretsId>
        <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
        <DockerComposeProjectPath>..\docker-compose.dcproj</DockerComposeProjectPath>
    </PropertyGroup>

    <ItemGroup>
      <ProjectReference Include="..\Otus.Teaching.PromoCodeFactory.Core\Otus.Teaching.PromoCodeFactory.Core.csproj" />
      <ProjectReference Include="..\Otus.Teaching.PromoCodeFactory.DataAccess\Otus.Teaching.PromoCodeFactory.DataAccess.csproj" />
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="EFCore.NamingConventions" Version="1.1.0" />
      <PackageReference Include="Microsoft.EntityFrameworkCore" Version="3.1.4" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="3.1.4" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="3.1.4" />
      <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.10.9" />
      <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="3.1.3" />
      <PackageReference Include="NSwag.AspNetCore" Version="13.5.0" />
    </ItemGroup>

</Project>
